Subject: Re: e1000: backport ich9 support from 7.5.5 ?

From: Mark McLoughlin <[email-masked]>
Date: Sat, 30 Jun 2007 22:24:53 +0100

Hi Auke,

On Fri, 2007-06-29 at 12:51 -0700, Kok, Auke wrote:
> Jason Lunz wrote:
> > On Fri, Jun 29, 2007 at 06:29:18PM +0100, Mark McLoughlin wrote:
> >> 	I understand there is some delay in getting e1000-7.5.5 into the
> >> upstream kernel given the major re-working of the chipset specific
> >> parts.
> >>
> >> 	I wonder would it be feasible in the meantime to backport the ich9
> >> support and push it upstream?
> > 
> > seconded - this driver reorg has been holding back support for the
> > newest e1000 hardware since at least 2.6.20, and I haven't seen any
> > indication that the 7.5.5 e1000 driver will even be added to 2.6.23.
> 
> I disagree, we should not break the current e1000 driver in the kernel while 
> there is a new driver coming up that introduces ich9 support without breaking 
> (the old e1000) support for all other devices. This is why we want to drop a new 
> version of the e1000 driver upstream instead, and put all newer devices in that 
> driver.

	Clearly some major changes are happening around e1000, but the point
I'm making is that ich9 support, in particular, doesn't need to be held
hostage to these longer term changes. I think the backport shows that:

  - ich9 differs only very slightly from ich8, which is already 
    supported upstream. The patch largely consists of:

-    if (hw->mac_type == e1000_ich8lan)
+    if (hw->mac_type == e1000_ich8lan || hw->mac_type == e1000_ich9lan)

  - adding ich9 support is very unlikely to affect support for any
    other chipsets

Thanks,
Mark.

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/